# QTextInlineObject Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QTextInlineObject()

### Constructor Properties

- prototype: The QTextInlineObject prototype object

### Prototype Object Properties

- qreal ascent()
- qreal descent()
- QTextFormat format()
- int formatIndex()
- qreal height()
- bool isValid()
- QRectF rect()
- void setAscent(qreal a)
- void setDescent(qreal d)
- void setWidth(qreal w)
- LayoutDirection textDirection()
- int textPosition()
- qreal width()

### Instance Properties

QTextInlineObject objects have no special properties beyond those inherited from the QTextInlineObject prototype object.